[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [egit-dev] Indigo SR2 introduces UI dependencies in egit

This build failure can be ignored. It's caused by the fact that
the egit.gerrit build job is usingÂthe last build result of jgit nightlyÂ
which is already on 2.0.0-SNAPSHOT.Â
We'll verify this change locally.

--
Matthias

2012/3/5 Alex Blewitt <alex.blewitt@xxxxxxxxx>
Change looks ok but there was a build failure owing to a missing P2 dependency.Â

Sent from my iPhone 4S

On 5 Mar 2012, at 07:47, Thomas Hallgren <thomas@xxxxxxx> wrote:

I pushed a change to the stable-1.3 branch to Gerrit for review:

https://git.eclipse.org/r/#/c/5239/

- thomas

On 03/05/2012 07:47 AM, Thomas Hallgren wrote:
In EGit 1.3 a new dependency to org.eclipse.compare has been introduced. This bundle requires org.eclipse.jface.text which in requires in org.eclipse.ui.editors. This amounts to disaster for a headless deployment since, in order to use Git, you're now required to install more or less the whole platform.

This is a breaking change in Indigo SR2! As a result, we can no longer provide a functional headless site for Buckminster where egit is included. Please provide a version of Egit where this required UI dependency has been reverted.

Kind Regards,
Thomas Hallgren

_______________________________________________
egit-dev mailing list
egit-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/egit-dev

_______________________________________________
egit-dev mailing list
egit-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/egit-dev

_______________________________________________
egit-dev mailing list
egit-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/egit-dev




--
Matthias